# KKiaPay Sandbox : Test Guide

The KKiaPay Sandbox is an independant virtual test environment that mimics the KKiaPay live production environment. It provides an secure area where you can launch and watch your application process the requests you send to the KKiaPay APIs without touching any active KKiaPay account.

When you create your account, KKiaPay sends you a *Welcome on KKiaPay* email to the address you specify. The content of this email instructs you on how to request the activation of your merchant account. If you don't receive this email within minutes of registering, check that it hasn't been blocked or forwarded to a spam folder.

It only takes a few seconds to test the KKiaPay environment after creating your account. Once your account has been created, access the Sandbox functionality by connecting to the KKiaPay web platform using your account login access.

## Sandbox : Overview

The KKiaPay Sandbox reflects the features found on KKiaPay production servers. Although some KKiaPay features do not apply to the sandbox, it still has parity with the KKiaPay API feature set supported by the live environment. This means that you can test your KKiaPay processes and know then how they will behave on your production servers.

By using the fictitious sandbox test environment and associated account information in your KKiaPay API calls, you can test and debug your application without referring to any real KKiaPay users. The sandbox environment allows you to operate your application in a secure environment and to fine-tune your KKiaPay routines before putting your product into production.

When you start a transaction using a sandbox account, KKiaPay creates a fake transaction that behaves exactly like a transaction in the online environment. During your test phase, use the sandbox endpoints and your account test credentials in each KKiaPay API request you make.

## Related information

Information related to your merchant account cannot (and should not) be used in test mode. We provide you this list of numbers that you can use to perform your tests. The Scenario column shows you the numbers with which you can simulate a successful or failed transaction to see how your system will react in each of these cases.

### Test phone numbers

To simulate all the scenarios of mobile money transactions that you deem necessary before going into production on your live account, we provide you the following numbers:

* For the GSM operator MTN Benin

| 61000000 | Successful        |
| -------- | ----------------- |
| 97000000 | Successful        |
| 61000001 | Processing error  |
| 97000001 | Processing error  |
| 61000002 | Insufficient fund |
| 97000002 | Insufficient fund |
| 61000003 | Payment declined  |
| 97000003 | Payment declined  |

* For the GSM operator MTN Ivory Coast

| Phone number  | Scenario          |
| ------------- | ----------------- |
| 2250577100000 | Successful        |
| 2250577200000 | Successful        |
| 2250577300000 | Successful        |
| 2250577100001 | Processing error  |
| 2250577200001 | Processing error  |
| 2250577300001 | Processing error  |
| 2250577100002 | Insufficient fund |
| 2250577200002 | Insufficient fund |
| 2250577300002 | Insufficient fund |

* For the GSM operator MOOV

| Phone number | Scenario          |
| ------------ | ----------------- |
| 68000000     | Successful        |
| 95000000     | Successful        |
| 68000001     | Processing error  |
| 95000001     | Processing error  |
| 68000002     | Insufficient fund |
| 95000002     | Insufficient fund |
| 68000003     | Payment declined  |
| 95000003     | Payment declined  |

You can also decide to simulate a ***successful*** transaction with a wait time between the initialization of the transaction and completion. To do this, KKiaPay provides you with the following phone numbers. The wait time is between 01 and 02 minutes.

* For the GSM operator MTN

| Phone number | Wait time (In minute) |
| ------------ | --------------------- |
| 61100000     | 01                    |
| 97100000     | 01                    |
| 61200000     | 02                    |
| 97200000     | 02                    |

* For the GSM operator MTN Ivory Coast

| Phone number  | Wait time (In minute) |
| ------------- | --------------------- |
| 2250577110000 | 01                    |
| 2250577210000 | 01                    |
| 2250577310000 | 01                    |
| 2250577120000 | 02                    |
| 2250577220000 | 02                    |
| 2250577320000 | 02                    |

* For the GSM operator MOOV

| Phone number | Wait time (In minute) |
| ------------ | --------------------- |
| 68100000     | 01                    |
| 95100000     | 01                    |
| 68200000     | 02                    |
| 95200000     | 02                    |

### Test credit cards

In order to help you simulate the various credit card transaction scenarios, we provide you with the following test credit cards:

* To simulate a successful transaction

| Number              | Expiration Date | PIN  | CVV | OTP   | Scénario   |
| ------------------- | --------------- | ---- | --- | ----- | ---------- |
| 5531 8866 5214 2950 | 09/32           | 3310 | 564 | 12345 | Successful |
| 4556 0527 0417 2643 | 09/32           | 3310 | 899 | 12345 | Successful |
| 5438 8980 1456 0229 | 10/31           | 3310 | 564 | 12345 | Successful |
| 5399 8383 8383 8381 | 10/31           | 3310 | 470 | 12345 | Successful |
| 4242 4242 4242 4242 | 01/31           | 3310 | 812 | 12345 | Successful |
| 4751 7632 3669 9647 | 09/35           | ---- | --- | ----- | Successful |

* To simulate a failed transaction

| Numéro              | Expiration Date | PIN  | CVV | OTP   | Scénario                                          |
| ------------------- | --------------- | ---- | --- | ----- | ------------------------------------------------- |
| 5258 5891 3014 9016 | 11/30           | ---- | 887 | ----- | Payment declined with an `transaction_error` code |
| 5590 1317 4329 4314 | 11/32           | 3310 | 887 | 12345 | Payment declined with an `card_fraudulent` code   |
| 5258 5859 2266 6506 | 09/31           | 3310 | 883 | 12345 | Payment declined with an `insufficient_fund` code |
| 5143 0105 2233 9965 | 08/32           | 3310 | 276 | ----- | Payment declined with an `card_declined` code     |

During your test phase you evolve with the KKiaPay test server which receives and handles the processing of your requests when you are in test mode. In sandbox environment, you must use your test api keys which are available on the dashboard.

When you go into production on your live account, you will need to replace the test API keys with the API keys from your live account. This will be enough to make your payment system operational.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kkiapay.me/v1/en-1.0.0/compte/kkiapay-sandbox-guide-de-test.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
